XnEventT< TEventArgs > Class Template Reference

`#include <XnEventT.h>`

Inheritance diagram for XnEventT< TEventArgs >:
[legend]

## Additional Inherited Members

Public Types inherited from XnEventInterfaceT< XnHandlerFunc1Arg< const TEventArgs & >::FuncPtr >
typedef FuncPtr | HandlerPtr
typedef XnCallbackT< FuncPtr > | TCallback
typedef XnEventInterfaceT | TInterface
Public Member Functions inherited from XnEvent1Arg< const TEventArgs & >
XnStatus | Raise (const TEventArgs &arg)
Public Member Functions inherited from XnEventInterfaceT< XnHandlerFunc1Arg< const TEventArgs & >::FuncPtr >
| ~XnEventInterfaceT ()
XnStatus | Register (FuncPtr pFunc, void *pCookie, XnCallbackHandle &hCallback)
XnStatus | Unregister (XnCallbackHandle hCallback)
Protected Types inherited from XnEventInterfaceT< XnHandlerFunc1Arg< const TEventArgs & >::FuncPtr >
typedef XnListT< TCallback * > | CallbackPtrList
Protected Member Functions inherited from XnEventInterfaceT< XnHandlerFunc1Arg< const TEventArgs & >::FuncPtr >
| XnEventInterfaceT ()
XnEventInterfaceT & | operator= (const XnEventInterfaceT &other)
XnStatus | Clear ()
XnStatus | ApplyListChanges ()
XnBool | RemoveCallback (CallbackPtrList &list, TCallback *pCallback)
Protected Attributes inherited from XnEventInterfaceT< XnHandlerFunc1Arg< const TEventArgs & >::FuncPtr >
XN_CRITICAL_SECTION_HANDLE | m_hLock
CallbackPtrList | m_callbacks
CallbackPtrList | m_toAdd
CallbackPtrList | m_toRemove

The documentation for this class was generated from the following file:

- XnEventT.h